KNOWLEDGE BASE

Error "this version of RData files are not yet supported" Connecting to RData file in Tableau Desktop


Published: 08 Jul 2019
Last Modified Date: 01 Sep 2020

Issue

When loading an .RData file in Tableau Desktop 2019.2 or earlier, an error message appears:

"this version of RData files are not yet supported"

Environment

  • R File
  • All currently supported versions of Tableau Desktop

Resolution

  • Uninstall current version of R (not an R client like RTool or RStudio, but R itself)
  • Download and install R version 3.5.3 (For example: R-3.5.3 for Windows (32/64 bit)
    • Note: Although we make every effort to ensure links to external websites are accurate, up to date, and relevant, Tableau cannot take responsibility for the accuracy or freshness of pages maintained by external providers. Contact the external site for answers to questions regarding its content.
  • Re-save your .RData file.

Cause

The ability to connect to R versions 3.6 or above is not currently available with Tableau Desktop.
To voice your support for the future implementation of such a feature, please vote on the following idea:
Support for R 3.6 or later on Tableau Desktop
Did this article resolve the issue?